Class | Settings::SettingCollection
In: | lib/facets/more/settings.rb
Parent: | Hash

A collection of Settings. This helper enables intuitive settings initialization like this:

Settings.Compiler.template_root = ‘public’ instead of Settings.setting :compiler, :template_root, :value => ‘public‘

### Methods

method_missing

### Attributes

owner | [RW] |

### Public Instance methods

method_missing(sym, *args)

Handles setting readers and writers.

[Validate]